Bug 1966654 - Alertmanager PDB is not created, but Prometheus UWM is
Summary: Alertmanager PDB is not created, but Prometheus UWM is
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-01 15:30 UTC by Pawel Krupa
Modified: 2021-07-27 23:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1189 0 None open Bug 1966654: pkg/tasks: fix creation of alertmanager PDB 2021-06-01 15:31:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:08 UTC

Description Pawel Krupa 2021-06-01 15:30:25 UTC
Description of problem:
There is no PDB for alertmanager, but at the same time there are multiple events about `prometheus-user-workload` PDB being created.


Version-Release number of selected component (if applicable): 4.8


How reproducible:
always


Steps to Reproduce:
1. Start a cluster
2. Check events in openshift-user-workload-monitoring namespace
3. Check PDBs in openshift-monitoring namespace

Actual results:
There are events about `prometheus-user-workload` PDB and no alertmanager PDB


Expected results:
There are no events about `prometheus-user-workload` PDB and there is an alertmanager PDB


Additional info:
Slack thread: https://coreos.slack.com/archives/C0VMT03S5/p1622558281233500

Comment 2 Junqi Zhao 2021-06-02 00:26:55 UTC
waiting for the fix merged to payload

Comment 3 hongyan li 2021-06-02 04:29:56 UTC
Test with payload 4.8.0-0.nightly-2021-06-02-025513
PDB alertmanager-main exists and no event about prometheus-user-workload


$ oc get pdb -n openshift-monitoring
NAME                 MIN AVAILABLE   MAX UNAVAILABLE   ALLOWED DISRUPTIONS   AGE
alertmanager-main    N/A             1                 1                     27m
prometheus-adapter   1               N/A               1                     25m
prometheus-k8s       1               N/A               1                     25m

$ oc get event |grep poddisruptionbudget/prometheus-user-workload

Comment 6 errata-xmlrpc 2021-07-27 23:10:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.